package it.polito.bigdata.hadoop;

import org.apache.hadoop.io.DoubleWritable;
import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;

import java.io.IOException;

public class Mapper2BigData extends Mapper<
                                    Text,
                                    Text,
                                    Text,
                                    DoubleWritable> {
    @Override
    protected void map(Text key, Text value, Context context) throws IOException, InterruptedException {
        double val = Double.parseDouble(value.toString());

        context.write(key, new DoubleWritable(val));
    }
}
